
import React from 'react';

import { Form, Icon, Input, Button, Checkbox } from 'antd';
import PropTypes from 'prop-types';
import  styles from './loginform.css';

const FormItem = Form.Item;


class NormalLoginForm extends React.Component {
    constructor(props){
        super(props);
        const value=this.props.styles;

        this.state = {
            styles:value
        };
    }
    render() {

        const { getFieldDecorator,validateFields } = this.props.form;

        const handleSubmit = (e) => {
            e.preventDefault();
            validateFields((err, values) => {
                if (!err) {
                    console.log('Received values of form: ', values);
                }
            });
        }
        return (
            <Form onSubmit={handleSubmit} className={styles.loginForm} >
                <FormItem>
                    {getFieldDecorator('userName', {
                        rules: [{ required: true, message: '请输入用户名!' }],
                    })(
                        <Input prefix={<Icon type="user" style={{ fontSize: 13 }} />} placeholder="请输入用户名" />
                    )}
                </FormItem>
                <FormItem>
                    {getFieldDecorator('password', {
                        rules: [{ required: true, message: '请输入密码！' }],
                    })(
                        <Input prefix={<Icon type="lock" style={{ fontSize: 13 }} />} type="password" placeholder="请输入密码" />
                    )}
                </FormItem>
                <FormItem>
                    {getFieldDecorator('remember', {
                        valuePropName: 'checked',
                        initialValue: true,
                    })(
                        <Checkbox>记住我</Checkbox>
                    )}
                    <a className={styles.loginFormForgot} href="">忘记密码</a>
                    <Button type="primary" htmlType="submit" className={styles.loginFormButton}>
                        登录
                    </Button>
                    <a href="">现在开始注册</a>
                </FormItem>
            </Form>
        );
    }
}
NormalLoginForm.propTypes={

}

export default NormalLoginForm
